Bug 64343 - rhrdecode is not able to decode all results.package files.
Summary: rhrdecode is not able to decode all results.package files.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: 1.7
Hardware: noarch Linux
medium
medium
Target Milestone: ---
Assignee: Rob Landry
QA Contact: Chris Kloiber
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-02 19:46 UTC by Stephen Elia
Modified: 2007-04-18 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 19:06:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Elia 2002-05-02 19:46:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
If rhrdecode (from rhr-core-1.7-10.noarch.rpm) is used to extract the files 
from the results.package file from HID=3306 it reports:

gzip: stdin: unexpected end of file
/bin/tar: Unexpected EOF in archive
/bin/tar: Unexpected EOF in archive
/bin/tar: Error is not recoverable: exiting now
Results extracted successfully.

The extracted files are corrupted using rhrdecode.  If you use 'sh 
results.package' the files are correctly restored to /tmp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Copy results.package file from HID=3306 to /tmp
2. Type 'rhrdecode results.package'
3.
	

Actual Results:  gzip: stdin: unexpected end of file
/bin/tar: Unexpected EOF in archive
/bin/tar: Unexpected EOF in archive
/bin/tar: Error is not recoverable: exiting now
Results extracted successfully.

Expected Results:  Results extracted successfully.

Additional info:

If you cut everything above the 'begin' statement and everything below 
the 'end' statement in the results.package file, then run the following command 
on that file:  sed 's/^X//' < temp.results.package | uudecode 
The output is results.tar.gz.  Next, tar zxvf results.tar.gz, then cpio -id < 
outs.cpio, then cpio -id < logs.cpio.

Now all files have been extracted without failure.

Comment 1 Rob Landry 2002-05-02 21:21:14 UTC
Can I get a copy of the results.package file that won't decode?

Comment 2 Stephen Elia 2002-05-02 21:35:30 UTC
Do you have a ftp site to send the 18.7MB File to?  Chrisk Kloiber had a copy 
of it, you might want to check and see if he still has it.

Comment 3 Chris Kloiber 2002-05-02 22:38:06 UTC
Hate to admit it, but I no longer have it on my system. Can you resend it to the
same place, I'll get it to Rob.


Comment 4 Stephen Elia 2002-05-02 23:08:42 UTC
I have uploaded it to the same location.

Comment 5 Rob Landry 2003-09-29 19:06:28 UTC
A manual uudecode should resolve any issues with the current results.package
format (watch you're environment space, you may not have enough memory to
uncompress certain packages depending (ie. IPF vs. i386).  rhr2 now uses rpm
instead of shar resolving this problem.


Note You need to log in before you can comment on or make changes to this bug.